Get all contact by query
GET
/v1/booking/contacts
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/contacts?onlyWalkin=false&includeCustomer=true';const options = {method: 'GET', headers: {system: 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://rms.dev.caspeco.net/api/booking/v1/booking/contacts?onlyWalkin=false&includeCustomer=true' \ --header 'Authorization: Bearer <token>' \ --header 'system: example'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Query Parameters
Section titled “Query Parameters”q
string
Query string
$top
integer format: int32
Limit number of contacts
onlyWalkin
boolean
“Walk in” are contacts without contact information
includeCustomer
boolean
Concatinates contacts with customers
changedFromUtc
string format: date-time
Return contacts that have been created or changed after this time.
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
guestIdentifier
string
fname
string
lname
string
title
string
phone
string
mobile
string
fax
string
email
string
streetaddress
string
zipcode
string
city
string
information
string
lastUsed
string format: date-time
hidden
boolean
id
integer format: int64
allowStoringForever
boolean
newsletter
boolean
isAnonymized
boolean
tempId
integer format: int64
customerId
integer format: int64
customerName
string
orgNr
string
customerCustomerNumber
string
invoiceReference
string
customerNumber
string
invoicingPaymentTerms
integer format: int32
invoicingFee
integer format: int32
agreementLevel
integer format: int32
lastChangedUtc
string format: date-time
lastChangedBy
string
filterData
string
binaryFlags
integer
contactFilterData
Array<object>
object
contactFilterId
integer format: int32
selectedStringItems
Array<string>
customer
One of:
object
name
string
streetaddress
string
zipcode
string
city
string
orgNr
string
phone
string
fax
string
email
string
information
string
hidden
boolean
id
integer format: int64
invoiceStreetaddress
string
invoiceZipCode
string
invoiceCity
string
invoiceCode1
string
invoiceCode2
string
invoiceCode3
string
ediNumber
string
marking
string
customerNumber
string
invoicingPaymentTerms
integer format: int32
invoicingFee
integer format: int32
binaryFlags
integer
accountManager
string
webpage
string
lastChangedUtc
string format: date-time
lastChangedBy
string
agreementLevel
integer format: int32
fullname
string
returning
boolean
Example
[ { "binaryFlags": 0, "customer": { "binaryFlags": 0 } }]Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
extensions
object
key
additional properties
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "extensions": { "additionalProperty": "example" }}